//
//  QuantumComponentManager.m
//  QuantumMetricLibrary
//
//  Created by Aaron Ash on 10/25/21.
//  Copyright © 2021 Quantum Metric. All rights reserved.
//

#import "QuantumComponentManager.h"
#import "QuantumView.h"

@implementation QuantumComponentManager

RCT_EXPORT_MODULE(QuantumComponent)

RCT_EXPORT_VIEW_PROPERTY(privacy, id)
RCT_EXPORT_VIEW_PROPERTY(metadata, id)


- (UIView *)view
{
  return [[QuantumView alloc] init];
}

@end
